import request from '@/utils/request'

//终端信息表 分页查询
export function vehicleTerminalList(params) {
    return request({
        method: "post",
        url: '/baseVehicleTerminal/vehicleTerminalList',
        data: params
    })
}
//车载终端信息导出
export function exportBaseVehicleTerminal(data) {
    return request({
        method: 'post',
        url: '/baseVehicleTerminal/exportBaseVehicleTerminal',
        responseType: 'blob',
        data
    })
}
//车载终端信息导入
export function importBaseVehicleTerminal(params) {
    return request({
        method: 'post',
        url: '/baseVehicleTerminal/importBaseVehicleTerminal',
        data: params
    })
}
//车载终端信息模板下载
export function downloaExcel(url) {
    return request({
        method: 'get',
        url: url,
        responseType: 'blob',
        data: {}
    })
}
//删除
export function vehicleTerminaleDelete(ids) {
    return request({
        method: 'get',
        url: `/baseVehicleTerminal/vehicleTerminaleDelete/${ids}`
    })
}
//添加车载终端
export function vehicleTerminalAdd(params) {
    return request({
        method: "post",
        url: '/baseVehicleTerminal/vehicleTerminalAdd',
        data: params
    })
}
//修改车载终端
export function vehicleTerminalUpdate(params) {
    return request({
        method: 'post',
        url: '/baseVehicleTerminal/vehicleTerminalUpdate',
        data: params
    })
}

